/* --- BALANCE REFRESHER COMPONENT --- */
/* HTML EN PLANTILLAS ALIRA: &&_balance-refresher_25.vm */

.balance-refresher {
    display: flex;
    align-items: center;
    margin-right: var(--Size-Smallest, 8px);
    min-width: fit-content;
}
.balance-refresher .balance-refresher__icon {
    margin-right: var(--Size-Mini, 4px);
    width: 24px;
    height: 24px;
}
.balance-refresher .balance-refresher__container {
    text-align: right;
    width: max-content;
    font-size: 12px;
    line-height: 16px;
}
@media screen and (max-width: 767px) {
    .balance-refresher .balance-refresher__container {
        font-size: 10px;
        line-height: 14px;
    }
}

/* --- LOGO BUNDLE - DEFAULT COMPONENT --- */
/* HTML EN PLANTILLAS ALIRA: &&_logo-bundle_25.vm */ 

.logo-bundle {
    display: flex;
    align-items: center;
    margin-left: var(--Size-Mini, 4px);
}
.logo-bundle .logo-bundle__img {
    width: 85.9px;
    height: 27px;
}
.logo-bundle .logo-bundle__text {
    color: var(--Bases-Light-Gray, #fff);
    font-family: Inter;
    font-size: var(--Size-Smallest, 8px);
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: uppercase;
    align-self: self-end;
    position: relative;
    bottom: var(--Size-Mini, 4px);
}

/* --- LINKLIST - DEFAULT COMPONENT --- */
/* HTML EN PLANTILLAS ALIRA: &&_linklist_25.vm */ 

.linklist {
    display: flex;
}
.linklist--vertical {
    flex-direction: column;
    align-items: flex-start;
}
.linklist .linklist__item {
    z-index: 1;
    text-align: center;
}
.linklist .linklist__item .linklist__link {
    z-index: 10;
}
.linklist .linklist__item .linklist__link--figure {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.linklist .linklist__item .linklist__link--figure .linklist__icon.base-reset {
    width: 20px;
    height: 20px;
    margin: 0 4px 0 12px;
}
.linklist .linklist__item .linklist__link--figure .linklist__text.base-reset {
    padding: 8px;
}
.linklist .linklist__item .linklist__link--active {
    font-family: 'Inter-Bold';
}

/* --- TIME PANEL - DEFAULT COMPONENT --- */
/* HTML EN PLANTILLAS ALIRA: &&_time-panel_25.vm */ 

.time-panel.base-reset {
    display: flex;
    align-items: center;
}
.time-panel .time-panel__icon.base-reset {
    width: var(--Size-Extrabig, 20px);
    height: var(--Size-Extrabig, 20px);
}
.time-panel .time-panel__text.base-reset {
    color: var(--Principales-Verde-Bplay, green);
    font-size: var(--Size-Smaller, 10px);
    line-height: var(--Size-Extrabig, 20px);
    margin: 0 var(--Size-Mini, 4px);
}

/* --- USER INFO COMPONENT --- */
/* HTML EN PLANTILLAS ALIRA: &&_user-info_25.vm */

.user-info {
    display: flex;
    align-items: center;
}
.user-info .user-info__container {
    text-align: right;
    width: max-content;
    font-size: 12px;
    line-height: 16px;
}
.user-info .user-info__avatar {
    width: 36px;
    height: 36px;
}
@media screen and (max-width: 767px) {
    .user-info .user-info__container {
        font-size: 10px;
        line-height: 14px;
    }
}

/* --- ALERT BOXES --- */
/* HTML EN PLANTILLAS ALIRA: ++_alert-warning_25.vm, ++_alert-error_25.vm, ++_alert-info_25.vm  */
.bplay25-alert {
    width: 100%;
    border-radius: var(--Size-Smallest, 8px);
    box-shadow: var(--Size-Mini, 4px) var(--Size-Mini, 4px) var(--Size-Smallest, 8px) 0 rgba(0, 0, 0, 0.24);
    margin-bottom: var(--Size-Small, 12px);
}

.bplay25-alert .bplay25-alert__header {
    border-top-left-radius: var(--Size-Smallest, 8px);
    border-top-right-radius: var(--Size-Smallest, 8px);
    padding: var(--Size-Smallest, 8px) var(--Size-Big, 16px);
    gap: var(--Size-Smallest, 8px);
}
.bplay25-alert .bplay25-alert__content {
    padding: var(--Size-Small, 12px) var(--Size-Big, 16px) var(--Size-Big, 16px);
    gap: var(--Size-Smallest, 8px);
}
.bplay25-alert .bplay25-alert__content button {
    margin: 8px auto 0;
    font-size: 12px;
}
.bplay25-alert--warning .bplay25-alert__header {
    background: var(--Semanticos-Warning, #FFC300);
}
.bplay25-alert--error .bplay25-alert__header {
    background: var(--Semanticos-Error---Light, #F8394E);
}
.bplay25-alert--info .bplay25-alert__header {
    background: var(--Semanticos-Info---Light, #12B0EA);
}

.bplay25-alert .bplay25-alert__icon {
    width: var(--Size-Huge, 24px);
    height: var(--Size-Huge, 24px);
}

/* --- CARDS --- */
/* HTML EN PLANTILLA ALIRA: &&_card-primary_v25.vm */
.card--primary {
    font-family: 'Inter';
    background: var(--Bases-Pure-White, #FCFCFC);
    border-radius: var(--Size-Mini, 4px);
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.24);
    margin-bottom: var(--Size-Small, 12px);
}
.card--primary .card--primary__header {
    max-height: 44px;
    background: var(--Principales-Verde-Terciario, #00683E);
    border-top-left-radius: var(--Size-Mini, 4px);
    border-top-right-radius: var(--Size-Mini, 4px);
    padding: 0 var(--Size-Smallest, 8px) 0 var(--Size-Smallest, 8px);
}
.card--primary .card--primary__title {
    color: var(--Bases-Pure-White, #FCFCFC);
    font-size: var(--Size-Medium, 14px);
    line-height: var(--Size-Huge, 24px);
    font-weight: 700;
    padding: var(--Size-Smallest, 8px) 0 var(--Size-Smallest, 8px) 0;
    margin: 0 auto;
}
.card--primary .card--primary__title--img {
    margin: 0 auto;
}
.card--primary .card--primary__body {
    border-bottom-left-radius: var(--Size-Mini, 4px);
    border-bottom-right-radius: var(--Size-Mini, 4px);
    padding: var(--Size-Small, 12px);
}
.card--primary .card--primary__body p {
    position: relative;
}
.card--primary__icon--float {
    width: var(--Size-Huge, 24px);
    height: var(--Size-Huge, 24px);
    position: absolute;
    top: var(--Size-Small, 12px);
    right: var(--Size-Big, 16px);
    z-index: 1;
}

/* --- THUMBNAILS --- */
/* HTML EN PLANTILLA ALIRA: &&_info-thumbnail_v25.vm */
.info-thumbnail {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: var(--Size-Smallest, 8px);
    margin-bottom: var(--Size-Mini, 4px);
}
.info-thumbnail + hr {
    height: 0;
    background: transparent;
    border: none;
    border-bottom: 1px dashed var(--Bases-Medium-Light-Gray, #D9D9D9);
}
.info-thumbnail .info-thumbnail__icon {
    width: var(--Size-Huge, 24px);
    height: var(--Size-Huge, 24px);
}
.info-thumbnail .info-thumbnail__body {
    font-family: 'Inter';
    text-align: left;
}
.info-thumbnail .info-thumbnail__body .info-thumbnail__title {
    font-family: inherit;
    font-size: var(--Size-Small, 12px);
    line-height: var(--Size-Big, 16px);
    font-weight: 700;
}
.info-thumbnail .info-thumbnail__body .info-thumbnail__subtitle {
    font-size: var(--Size-Smaller, 10px);
    line-height: var(--Size-Medium, 14px);
    font-weight: 700;
}
.info-thumbnail .info-thumbnail__body .info-thumbnail__text--big {
    font-size: var(--Size-Small, 12px);
    line-height: var(--Size-Big, 16px);
    font-weight: 400;
}
.info-thumbnail .info-thumbnail__body .info-thumbnail__text--small {
    font-size: var(--Size-Smaller, 10px);
    line-height: var(--Size-Medium, 14px);
    font-weight: 400;
}
.info-thumbnail .info-thumbnail__link {
    font-size: var(--Size-Smaller, 10px);
    line-height: var(--Size-Medium, 14px);
    font-weight: 700;
    position: absolute;
    right: var(--Size-Smallest, 8px);
    bottom: 0;
}

/* --- FAKE SELECTOR --- */
/* HTML EN PLANTILLA ALIRA: &&_fake-selector_v25.vm */
.fake-selector {
    background: var(--Bases-Pure-White, #FCFCFC);
    border-radius: 0 0 4px 4px;
    padding: var(--Size-Smallest, 8px) 0 var(--Size-Small, 12px);
    box-shadow: 4px 4px 8px 0 rgba(0, 0, 0, 0.24);
    position: absolute;
    width: 100%;
    z-index: 10;
}
.fake-selector__option {
    color: var(--Bases-Darkest, #252525);
    font-size: var(--Size-Small, 12px);
    line-height: var(--Size-Big, 16px);
    font-weight: 400;
    text-align: left;
    padding: var(--Size-Smallest, 8px) var(--Size-Big, 16px);
}
@media screen and (min-width: 768px) {
    .fake-selector__option:hover {
        background: var(--Bases-Medium-Light-Gray, #D9D9D9);
        cursor: pointer;
    }
}